Subject: [PATCH 2/4] ARM: msm: Remove 7x00 support

From: [email-masked] (Kevin Hilman)
Date: Thu, 31 Oct 2013 11:51:34 -0700

Daniel Walker <[email-masked]> writes:

> On Thu, Oct 31, 2013 at 10:12:03AM -0700, Kevin Hilman wrote:
>> Daniel Walker <[email-masked]> writes:
>> 
>> 
>> No.  The idea behind splitting them is to allow current platforms with
>> active maintainers to progress without being held back.  The older
>> platforms can stay and have an opportunity to modernize. 
>> 
>> The kernel is a moving target, without some minimal effort to keep
>> platforms up to date, the effort to continue to maintain/modernize them
>> can become more of a pain than it's worth.  If maintainers of these older
>> platforms are willing to put in the work, nobody will be SOL.  If
>> nobody shows interest in modernizing these older platforms (which seems
>> to be the case based on the last couple years), then it is reasonable
>> IMO for them to fade away slowly.
>
>
> According to a prior email Tony suggested that OMAP was split for purely
> technical reasons.. If code is shared in some way , or has synergies, and there's no
> technical reason to split a sub-architecture, then to me there's no win in splitting
> things.. 

The wins have already been well described in this thread in terms of
maintenance of newer platforms using modern kernel infrastructure.

> It's just more directories, more confusion etc.. The confusion
> would come from someone wanting to find the code related to a platform,
> but woops there's a bunch of directories, or code flow and how the
> sub-architecture is strung together .. Personally I found OMAP very
> confusing in that regard.
>
> ARM and the sub-architectures is already confusing I don't think we need
> to start compounding the problem by allowing random whatever-you-want
> sub-directories from every sub-architecture.

Randomness is quite a bit of an exaggeration of what's been proposed
here.

These decisions are made on a case-by-case basis and is this case is
being done for ease of maintainence for newer platforms, which may not
be a "technical reason" for you, but is important for overall
maintenance of arm-soc.

If we do this split, you are more than welcome to demonstrate the
commonality by modernizing mach-msm, combining it with mach-qcom,
removing mach-msm, and then removing all the "confusion."

Kevin